(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(require('vega-projection'), require('d3-geo-projection')) :
  typeof define === 'function' && define.amd ? define(['vega-projection', 'd3-geo-projection'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.vega, global.d3));
})(this, (function (vegaProjection, d3GeoProjection) { 'use strict';

  vegaProjection.projection('airy', d3GeoProjection.geoAiry);
  vegaProjection.projection('aitoff', d3GeoProjection.geoAitoff);
  vegaProjection.projection('armadillo', d3GeoProjection.geoArmadillo);
  vegaProjection.projection('august', d3GeoProjection.geoAugust);
  vegaProjection.projection('baker', d3GeoProjection.geoBaker);
  vegaProjection.projection('berghaus', d3GeoProjection.geoBerghaus);
  vegaProjection.projection('bertin1953', d3GeoProjection.geoBertin1953);
  vegaProjection.projection('boggs', d3GeoProjection.geoBoggs);
  vegaProjection.projection('bonne', d3GeoProjection.geoBonne);
  vegaProjection.projection('bottomley', d3GeoProjection.geoBottomley);
  vegaProjection.projection('bromley', d3GeoProjection.geoBromley);
  vegaProjection.projection('chamberlinAfrica', d3GeoProjection.geoChamberlinAfrica);
  vegaProjection.projection('collignon', d3GeoProjection.geoCollignon);
  vegaProjection.projection('craig', d3GeoProjection.geoCraig);
  vegaProjection.projection('craster', d3GeoProjection.geoCraster);
  vegaProjection.projection('cylindricalEqualArea', d3GeoProjection.geoCylindricalEqualArea);
  vegaProjection.projection('cylindricalStereographic', d3GeoProjection.geoCylindricalStereographic);
  vegaProjection.projection('eckert1', d3GeoProjection.geoEckert1);
  vegaProjection.projection('eckert2', d3GeoProjection.geoEckert2);
  vegaProjection.projection('eckert3', d3GeoProjection.geoEckert3);
  vegaProjection.projection('eckert4', d3GeoProjection.geoEckert4);
  vegaProjection.projection('eckert5', d3GeoProjection.geoEckert5);
  vegaProjection.projection('eckert6', d3GeoProjection.geoEckert6);
  vegaProjection.projection('eisenlohr', d3GeoProjection.geoEisenlohr);
  vegaProjection.projection('fahey', d3GeoProjection.geoFahey);
  vegaProjection.projection('foucaut', d3GeoProjection.geoFoucaut);
  vegaProjection.projection('foucautSinusoidal', d3GeoProjection.geoFoucautSinusoidal);
  vegaProjection.projection('gilbert', d3GeoProjection.geoGilbert);
  vegaProjection.projection('gingery', d3GeoProjection.geoGingery);
  vegaProjection.projection('ginzburg4', d3GeoProjection.geoGinzburg4);
  vegaProjection.projection('ginzburg5', d3GeoProjection.geoGinzburg5);
  vegaProjection.projection('ginzburg6', d3GeoProjection.geoGinzburg6);
  vegaProjection.projection('ginzburg8', d3GeoProjection.geoGinzburg8);
  vegaProjection.projection('ginzburg9', d3GeoProjection.geoGinzburg9);
  vegaProjection.projection('gringorten', d3GeoProjection.geoGringorten);
  vegaProjection.projection('gringortenQuincuncial', d3GeoProjection.geoGringortenQuincuncial);
  vegaProjection.projection('guyou', d3GeoProjection.geoGuyou);
  vegaProjection.projection('hammer', d3GeoProjection.geoHammer);
  vegaProjection.projection('hammerRetroazimuthal', d3GeoProjection.geoHammerRetroazimuthal);
  vegaProjection.projection('healpix', d3GeoProjection.geoHealpix);
  vegaProjection.projection('hill', d3GeoProjection.geoHill);
  vegaProjection.projection('homolosine', d3GeoProjection.geoHomolosine);
  vegaProjection.projection('hufnagel', d3GeoProjection.geoHufnagel);
  vegaProjection.projection('hyperelliptical', d3GeoProjection.geoHyperelliptical);
  vegaProjection.projection('interruptedBoggs', d3GeoProjection.geoInterruptedBoggs);
  vegaProjection.projection('interruptedHomolosine', d3GeoProjection.geoInterruptedHomolosine);
  vegaProjection.projection('interruptedMollweide', d3GeoProjection.geoInterruptedMollweide);
  vegaProjection.projection('interruptedMollweideHemispheres', d3GeoProjection.geoInterruptedMollweideHemispheres);
  vegaProjection.projection('interruptedQuarticAuthalic', d3GeoProjection.geoInterruptedQuarticAuthalic);
  vegaProjection.projection('interruptedSinuMollweide', d3GeoProjection.geoInterruptedSinuMollweide);
  vegaProjection.projection('interruptedSinusoidal', d3GeoProjection.geoInterruptedSinusoidal);
  vegaProjection.projection('kavrayskiy7', d3GeoProjection.geoKavrayskiy7);
  vegaProjection.projection('lagrange', d3GeoProjection.geoLagrange);
  vegaProjection.projection('larrivee', d3GeoProjection.geoLarrivee);
  vegaProjection.projection('laskowski', d3GeoProjection.geoLaskowski);
  vegaProjection.projection('littrow', d3GeoProjection.geoLittrow);
  vegaProjection.projection('loximuthal', d3GeoProjection.geoLoximuthal);
  vegaProjection.projection('miller', d3GeoProjection.geoMiller);
  vegaProjection.projection('modifiedStereographicAlaska', d3GeoProjection.geoModifiedStereographicAlaska);
  vegaProjection.projection('modifiedStereographicGs48', d3GeoProjection.geoModifiedStereographicGs48);
  vegaProjection.projection('modifiedStereographicGs50', d3GeoProjection.geoModifiedStereographicGs50);
  vegaProjection.projection('modifiedStereographicLee', d3GeoProjection.geoModifiedStereographicLee);
  vegaProjection.projection('modifiedStereographicMiller', d3GeoProjection.geoModifiedStereographicMiller);
  vegaProjection.projection('mtFlatPolarParabolic', d3GeoProjection.geoMtFlatPolarParabolic);
  vegaProjection.projection('mtFlatPolarQuartic', d3GeoProjection.geoMtFlatPolarQuartic);
  vegaProjection.projection('mtFlatPolarSinusoidal', d3GeoProjection.geoMtFlatPolarSinusoidal);
  vegaProjection.projection('naturalEarth2', d3GeoProjection.geoNaturalEarth2);
  vegaProjection.projection('nellHammer', d3GeoProjection.geoNellHammer);
  vegaProjection.projection('nicolosi', d3GeoProjection.geoNicolosi);
  vegaProjection.projection('patterson', d3GeoProjection.geoPatterson);
  vegaProjection.projection('peirceQuincuncial', d3GeoProjection.geoPeirceQuincuncial);
  vegaProjection.projection('polyconic', d3GeoProjection.geoPolyconic);
  vegaProjection.projection('polyhedralButterfly', d3GeoProjection.geoPolyhedralButterfly);
  vegaProjection.projection('polyhedralCollignon', d3GeoProjection.geoPolyhedralCollignon);
  vegaProjection.projection('polyhedralWaterman', d3GeoProjection.geoPolyhedralWaterman);
  vegaProjection.projection('rectangularPolyconic', d3GeoProjection.geoRectangularPolyconic);
  vegaProjection.projection('robinson', d3GeoProjection.geoRobinson);
  vegaProjection.projection('satellite', d3GeoProjection.geoSatellite);
  vegaProjection.projection('sinuMollweide', d3GeoProjection.geoSinuMollweide);
  vegaProjection.projection('sinusoidal', d3GeoProjection.geoSinusoidal);
  vegaProjection.projection('times', d3GeoProjection.geoTimes);
  vegaProjection.projection('twoPointAzimuthalUsa', d3GeoProjection.geoTwoPointAzimuthalUsa);
  vegaProjection.projection('twoPointEquidistantUsa', d3GeoProjection.geoTwoPointEquidistantUsa);
  vegaProjection.projection('vanDerGrinten', d3GeoProjection.geoVanDerGrinten);
  vegaProjection.projection('vanDerGrinten2', d3GeoProjection.geoVanDerGrinten2);
  vegaProjection.projection('vanDerGrinten3', d3GeoProjection.geoVanDerGrinten3);
  vegaProjection.projection('vanDerGrinten4', d3GeoProjection.geoVanDerGrinten4);
  vegaProjection.projection('wagner', d3GeoProjection.geoWagner);
  vegaProjection.projection('wagner4', d3GeoProjection.geoWagner4);
  vegaProjection.projection('wagner6', d3GeoProjection.geoWagner6);
  vegaProjection.projection('wagner7', d3GeoProjection.geoWagner7);
  vegaProjection.projection('wiechel', d3GeoProjection.geoWiechel);
  vegaProjection.projection('winkel3', d3GeoProjection.geoWinkel3);

}));
